Bedrock is not compatible with Node 6

RESOLVED FIXED

Status

www.mozilla.org
Pages & Content
RESOLVED FIXED
2 years ago
a year ago

People

(Reporter: Alan Mooiman, Unassigned)

Tracking

Development/Staging

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [q3 sprint 3])

(Reporter)

Description

2 years ago
When setting up a development environment, using Node ^6.0.0 will silently partially fail- CSS won't be generated properly, and pages are served without it.

Easiest suggested resolution for now: add `engines` object to package.json so that devs are alerted to possible compatibility issues. (https://docs.npmjs.com/files/package.json#engines)
(Reporter)

Comment 1

2 years ago
Scratch that suggestion, I tried it locally and it didn't work like that.
+pmac
Flags: needinfo?(pmac)
We'll be upgrading it soon as part of bug 1276208. Thanks for the report.
Flags: needinfo?(pmac)

Updated

2 years ago
Whiteboard: [q3 sprint 3]
I think this should be fixed now as part of bug 1276208. If not, please feel free to reopen. Thanks!
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.